Installation problem - Mac and Anaconda


#1

Hi,

I have tried to install catalyst with the two described methods on the installation guide.
I get following error:

1 warning generated.
gcc -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -I/anaconda3/envs/catalyst/include -arch x86_64 -I/anaconda3/envs/catalyst/include -arch x86_64 -Isrc/ext/uchardet/src -I/anaconda3/envs/catalyst/include/python3.6m -c src/ext/uchardet/src/nsSBCharSetProber.cpp -o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsSBCharSetProber.o
warning: include path for stdlibc++ headers not found; pass ‘-std=libc++’ on the command line to use the libc++ standard library instead [-Wstdlibcxx-not-found]
1 warning generated.
gcc -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -I/anaconda3/envs/catalyst/include -arch x86_64 -I/anaconda3/envs/catalyst/include -arch x86_64 -Isrc/ext/uchardet/src -I/anaconda3/envs/catalyst/include/python3.6m -c src/ext/uchardet/src/nsSJISProber.cpp -o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsSJISProber.o
warning: include path for stdlibc++ headers not found; pass ‘-std=libc++’ on the command line to use the libc++ standard library instead [-Wstdlibcxx-not-found]
1 warning generated.
gcc -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -I/anaconda3/envs/catalyst/include -arch x86_64 -I/anaconda3/envs/catalyst/include -arch x86_64 -Isrc/ext/uchardet/src -I/anaconda3/envs/catalyst/include/python3.6m -c src/ext/uchardet/src/nsUTF8Prober.cpp -o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsUTF8Prober.o
warning: include path for stdlibc++ headers not found; pass ‘-std=libc++’ on the command line to use the libc++ standard library instead [-Wstdlibcxx-not-found]
1 warning generated.
gcc -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -I/anaconda3/envs/catalyst/include -arch x86_64 -I/anaconda3/envs/catalyst/include -arch x86_64 -Isrc/ext/uchardet/src -I/anaconda3/envs/catalyst/include/python3.6m -c src/ext/uchardet/src/nsLatin1Prober.cpp -o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsLatin1Prober.o
warning: include path for stdlibc++ headers not found; pass ‘-std=libc++’ on the command line to use the libc++ standard library instead [-Wstdlibcxx-not-found]
1 warning generated.
gcc -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -I/anaconda3/envs/catalyst/include -arch x86_64 -I/anaconda3/envs/catalyst/include -arch x86_64 -Isrc/ext/uchardet/src -I/anaconda3/envs/catalyst/include/python3.6m -c src/ext/uchardet/src/nsUniversalDetector.cpp -o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsUniversalDetector.o
warning: include path for stdlibc++ headers not found; pass ‘-std=libc++’ on the command line to use the libc++ standard library instead [-Wstdlibcxx-not-found]
1 warning generated.
gcc -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -I/anaconda3/envs/catalyst/include -arch x86_64 -I/anaconda3/envs/catalyst/include -arch x86_64 -Isrc/ext/uchardet/src -I/anaconda3/envs/catalyst/include/python3.6m -c src/ext/uchardet/src/uchardet.cpp -o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/uchardet.o
warning: include path for stdlibc++ headers not found; pass ‘-std=libc++’ on the command line to use the libc++ standard library instead [-Wstdlibcxx-not-found]
1 warning generated.
g++ -bundle -undefined dynamic_lookup -L/anaconda3/envs/catalyst/lib -arch x86_64 -L/anaconda3/envs/catalyst/lib -arch x86_64 -arch x86_64 build/temp.macosx-10.7-x86_64-3.6/src/cchardet/_cchardet.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/CharDistribution.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/JpCntx.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangArabicModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangBulgarianModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangCroatianModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangCzechModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangEsperantoModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangEstonianModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangFinnishModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangFrenchModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangDanishModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangGermanModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangGreekModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangHungarianModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangHebrewModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangIrishModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangItalianModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangLithuanianModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangLatvianModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangMalteseModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangPolishModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangPortugueseModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangRomanianModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangRussianModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangSlovakModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangSloveneModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangSwedishModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangSpanishModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangThaiModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangTurkishModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/LangModels/LangVietnameseModel.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsHebrewProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsCharSetProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsBig5Prober.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsEUCJPProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsEUCKRProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsEUCTWProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsEscCharsetProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsEscSM.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsGB2312Prober.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsMBCSGroupProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsMBCSSM.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsSBCSGroupProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsSBCharSetProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsSJISProber.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsUTF8Prober.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsLatin1Prober.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/nsUniversalDetector.o build/temp.macosx-10.7-x86_64-3.6/src/ext/uchardet/src/uchardet.o -o build/lib.macosx-10.7-x86_64-3.6/cchardet/_cchardet.cpython-36m-darwin.so
clang: warning: libstdc++ is deprecated; move to libc++ with a minimum deployment target of OS X 10.9 [-Wdeprecated]
ld: library not found for -lstdc++
clang: error: linker command failed with exit code 1 (use -v to see invocation)
error: command ‘g++’ failed with exit status 1


Failed building wheel for cchardet
Running setup.py clean for cchardet
Failed to build bcolz cchardet
Installing collected packages: lru-dict, toolz, cytoolz, pycryptodome, eth-hash, six, attrdict, eth-typing, eth-utils, eth-keys, eth-keyfile, rlp, hexbytes, eth-rlp, eth-account, websockets, parsimonious, eth-abi, chardet, idna, urllib3, certifi, requests, web3, sqlalchemy, numpy, scipy, bcolz, python-dateutil, numexpr, multipledispatch, pytz, pandas, patsy, statsmodels, sortedcontainers, redo, decorator, networkx, requests-file, bottleneck, empyrical, wrapt, requests-ftp, lxml, pandas-datareader, tables, MarkupSafe, python-editor, Mako, alembic, contextlib2, setuptools, intervaltree, Logbook, Cython, jmespath, docutils, botocore, s3transfer, boto3, click, cchardet, pycares, aiodns, multidict, yarl, async-timeout, idna-ssl, typing-extensions, attrs, aiohttp, ccxt, cyordereddict, requests-toolbelt, enigma-catalyst, cycler, kiwisolver, pyparsing, matplotlib
Found existing installation: certifi 2018.11.29
Cannot uninstall ‘certifi’. It is a distutils installed project and thus we cannot accurately determine which files belong to it which would lead to only a partial uninstall.

Does anyone have a clue about the problems?